# Class RMISecurityManager

java.lang.Object
java.lang.SecurityManager
java.rmi.RMISecurityManager

@Deprecated(since="1.8", forRemoval=true) public class RMISecurityManager extends SecurityManager
Deprecated, for removal: This API element is subject to removal in a future version.
There is no replacement for the Security Manager.
RMISecurityManager was originally specified to allow an application implement a security policy identical to the policy implemented by `SecurityManager`. This feature no longer exists.

Since:
  1.1

## Constructor Summary

Constructors
Constructor
Description
`RMISecurityManager()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new `RMISecurityManager`.

## Method Summary

### Methods declared in class SecurityManager

`checkAccept, checkAccess, checkAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkWrite, checkWrite, getClassContext, getSecurityContext, getThreadGroup`
Modifier and Type
Method
Description
`void`
`checkAccept(String host, int port)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkAccess(Thread t)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkAccess(ThreadGroup g)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkConnect(String host, int port)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkConnect(String host, int port, Object context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkCreateClassLoader()`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkDelete(String file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkExec(String cmd)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkExit(int status)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkLink(String lib)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkListen(int port)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkMulticast(InetAddress maddr)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkMulticast(InetAddress maddr, byte ttl)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPackageAccess(String pkg)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPackageDefinition(String pkg)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPermission(Permission perm)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPermission(Permission perm, Object context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPrintJobAccess()`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPropertiesAccess()`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkPropertyAccess(String key)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkRead(FileDescriptor fd)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkRead(String file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkRead(String file, Object context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkSecurityAccess(String target)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkSetFactory()`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkWrite(FileDescriptor fd)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`void`
`checkWrite(String file)`
Deprecated, for removal: This API element is subject to removal in a future version.
Throws `SecurityException`.
`protected Class<?>[]`
`getClassContext()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the current execution stack as an array of classes.
`Object`
`getSecurityContext()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an `AccessControlContext` where the `checkPermission` method always throws an `AccessControlException` and the `getDomainCombiner` method always returns `null`.
`ThreadGroup`
`getThreadGroup()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the current Thread's `ThreadGroup`.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### RMISecurityManager

public RMISecurityManager()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new `RMISecurityManager`.

Since:
  1.1